#!/bin/bash

package=eigen
version=-3.3.7

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_MARS ../.. $*

prefix=$GEXT_MARS_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version

#opt_run_configure $force_config $auto_config $package $version $prefix 
if [ $force_config = "1" ] ; then
  echo "$progname: Nothing needs to be configured for $package$version"
fi

#opt_run_make $compile $package $version
if [ $compile = "1" ] ; then
  echo "$progname: Nothing needs to be compiled for $package$version"
fi

#opt_run_make $install $package $version "install"
if [ $install = "1" ] ; then
  if [ ! -d "$GEXT_MARS_INSTALLED/include" ] ; then
      echo "Making directory: $GEXT_MARS_INSTALLED/include"
      mkdir "$GEXT_MARS_INSTALLED/include"
  fi

  echo "Installing header files to $GEXT_MARS_INSTALLED/included/" 
  /bin/cp -r "$package$version/Eigen" "$GEXT_MARS_INSTALLED/include/"
  /bin/cp -r "$package$version/unsupported" "$GEXT_MARS_INSTALLED/include/"

  if [ ! -d "$GEXT_MARS_INSTALLED/pkgconfig" ] ; then
      echo "Making directory: $GEXT_MARS_INSTALLED/pkgconfig"
      mkdir "$GEXT_MARS_INSTALLED/pkgconfig"
  fi
  
  CMAKE_INSTALL_PREFIX="$prefix"
  EIGEN_VERSION_NUMBER="${version-}"
  INCLUDE_INSTALL_DIR="include"

  echo "Installing $GEXT_MARS_INSTALLED/pkgconfig/eigen3.pc" 
  cat "$package$version/eigen3.pc.in" \
    | sed "s%@CMAKE_INSTALL_PREFIX@%$CMAKE_INSTALL_PREFIX%g" \
    | sed "s%@EIGEN_VERSION_NUMBER@%$EIGEN_VERSION_NUMBER%g" \
    | sed "s%@INCLUDE_INSTALL_DIR@%$INCLUDE_INSTALL_DIR%g" \
    > "$GEXT_MARS_INSTALLED/pkgconfig/eigen3.pc"

fi


opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
